TRegModel< Dim > Class Template Referenceabstract
Image Registration and Transformation

Base class for PDE model based registrations. More...

`#include <mia/core/regmodel.hh>`

Inheritance diagram for TRegModel< Dim >:
[legend]
Collaboration diagram for TRegModel< Dim >:
[legend]

## Public Types

typedef RegistrationTraits< Dim >::Data | Data
| Imaga data type for the registration model.
typedef RegistrationTraits< Dim >::Force | Force
| gradient force data type for the registration model
typedef Data | plugin_data
| plug-in helper type for search path evaluation
typedef regmodel_type | plugin_type
| plug-in helper type for search path evaluation
typedef RegistrationTraits< Dim >::Transformation | Transformation
| transformation type for the registrationmodel
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

float | get_force_scale () const
void | solve (const Force &b, Transformation Transformation &x) const
| TRegModel ()
virtual | ~TRegModel ()
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Detailed Description

template<int Dim>
class TRegModel< Dim >

Base class for PDE model based registrations.

Generic base class template for PDE based image registration models.

Template Parameters

  Dim | dimension of registration model

Definition at line 55 of file regmodel.hh.

## Member Typedef Documentation

## Data

template<int Dim>

typedef RegistrationTraits<Dim>::Data TRegModel< Dim >::Data

Imaga data type for the registration model.

Definition at line 59 of file regmodel.hh.

## Force

template<int Dim>

typedef RegistrationTraits<Dim>::Force TRegModel< Dim >::Force

gradient force data type for the registration model

Definition at line 62 of file regmodel.hh.

## plugin_data

template<int Dim>

typedef Data TRegModel< Dim >::plugin_data

plug-in helper type for search path evaluation

Definition at line 71 of file regmodel.hh.

## plugin_type

template<int Dim>

typedef regmodel_type TRegModel< Dim >::plugin_type

plug-in helper type for search path evaluation

Definition at line 68 of file regmodel.hh.

## Transformation

template<int Dim>

typedef RegistrationTraits<Dim>::Transformation TRegModel< Dim >::Transformation

transformation type for the registrationmodel

Definition at line 65 of file regmodel.hh.

## Constructor & Destructor Documentation

## TRegModel()

template<int Dim>

TRegModel< Dim >::TRegModel | ( |  | ) |

Definition at line 100 of file regmodel.hh.

## ~TRegModel()

template<int Dim>

TRegModel< Dim >::~TRegModel | ( |  | ) |

virtual

Definition at line 105 of file regmodel.hh.

## Member Function Documentation

## get_force_scale()

template<int Dim>

float TRegModel< Dim >::get_force_scale | ( |  | ) | const

Returns
  the scaling applied to the gradient force

Remarks
  why is this needed?

Definition at line 116 of file regmodel.hh.

## solve()

template<int Dim>

void TRegModel< Dim >::solve | ( | const Force & | b,
|  | Transformation Transformation & | x ) const

PDE solver for the registration model

Parameters

  [in] | b | force the gradient force of the cost function
  [in,out] | x | estimated transformation direction that can be further optimized by a line search

Remarks
  the naming needs to be reviewed,

Definition at line 110 of file regmodel.hh.

The documentation for this class was generated from the following file:

- regmodel.hh